Name:          docker-compose
Version:       2.32.4
Release:       1mamba
Summary:       Define and run multi-container applications with Docker
Group:         System/Servers
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/docker/compose
Source:        https://github.com/docker/compose.git/v%{version}/compose-%{version}.tar.bz2
License:       Apache License 2.0
## AUTOBUILDREQ-BEGIN
## AUTOBUILDREQ-END

%description
Define and run multi-container applications with Docker.

%prep
%setup -q -n compose-%{version}

%build
export GOFLAGS="-buildmode=pie -trimpath -ldflags=-linkmode=external -ldflags=-X=github.com/docker/compose/v2/internal.Version=%{version} -mod=readonly -modcacherw"
CGO_ENABLED=0 go build -trimpath -tags "e2e,kube" -o compose ./cmd

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
install -D -m0755 compose %{buildroot}%{_prefix}/lib/docker/cli-plugins/docker-compose
install -d %{buildroot}%{_bindir}
ln -sf ../lib/docker/cli-plugins/docker-compose %{buildroot}%{_bindir}/docker-compose

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/docker-compose
%{_prefix}/lib/docker/cli-plugins/docker-compose
%doc LICENSE

%changelog
* Thu Jan 16 2025 Automatic Build System <autodist@openmamba.org> 2.32.4-1mamba
- automatic version update by autodist

* Mon Jan 13 2025 Automatic Build System <autodist@openmamba.org> 2.32.3-1mamba
- automatic version update by autodist

* Wed Jan 08 2025 Automatic Build System <autodist@openmamba.org> 2.32.2-1mamba
- automatic version update by autodist

* Tue Dec 17 2024 Automatic Build System <autodist@openmamba.org> 2.32.1-1mamba
- automatic version update by autodist

* Sat Dec 14 2024 Automatic Build System <autodist@openmamba.org> 2.32.0-1mamba
- automatic version update by autodist

* Fri Nov 29 2024 Automatic Build System <autodist@openmamba.org> 2.31.0-1mamba
- automatic version update by autodist

* Fri Nov 08 2024 Automatic Build System <autodist@openmamba.org> 2.30.3-1mamba
- automatic version update by autodist

* Wed Nov 06 2024 Automatic Build System <autodist@openmamba.org> 2.30.2-1mamba
- automatic version update by autodist

* Wed Oct 30 2024 Automatic Build System <autodist@openmamba.org> 2.30.1-1mamba
- automatic version update by autodist

* Wed Oct 30 2024 Automatic Build System <autodist@openmamba.org> 2.30.0-1mamba
- automatic version update by autodist

* Fri Sep 20 2024 Automatic Build System <autodist@openmamba.org> 2.29.7-1mamba
- automatic version update by autodist

* Wed Sep 18 2024 Automatic Build System <autodist@openmamba.org> 2.29.5-1mamba
- automatic version update by autodist

* Tue Sep 17 2024 Automatic Build System <autodist@openmamba.org> 2.29.4-1mamba
- automatic version update by autodist

* Fri Sep 13 2024 Automatic Build System <autodist@openmamba.org> 2.29.3-1mamba
- automatic version update by autodist

* Wed Aug 14 2024 Automatic Build System <autodist@openmamba.org> 2.29.2-1mamba
- automatic version update by autodist

* Tue Jul 23 2024 Automatic Build System <autodist@openmamba.org> 2.29.1-1mamba
- automatic version update by autodist

* Wed Jul 17 2024 Automatic Build System <autodist@openmamba.org> 2.29.0-1mamba
- automatic version update by autodist

* Mon Jun 24 2024 Automatic Build System <autodist@openmamba.org> 2.28.1-1mamba
- automatic version update by autodist

* Sat Jun 22 2024 Automatic Build System <autodist@openmamba.org> 2.28.0-1mamba
- automatic version update by autodist

* Thu Jun 20 2024 Automatic Build System <autodist@openmamba.org> 2.27.2-1mamba
- automatic version update by autodist

* Fri May 24 2024 Automatic Build System <autodist@openmamba.org> 2.27.1-1mamba
- automatic version update by autodist

* Thu Apr 25 2024 Automatic Build System <autodist@openmamba.org> 2.27.0-1mamba
- automatic version update by autodist

* Fri Mar 29 2024 Automatic Build System <autodist@openmamba.org> 2.26.1-1mamba
- automatic version update by autodist

* Fri Mar 22 2024 Automatic Build System <autodist@openmamba.org> 2.26.0-1mamba
- automatic version update by autodist

* Fri Mar 15 2024 Automatic Build System <autodist@openmamba.org> 2.25.0-1mamba
- automatic version update by autodist

* Thu Mar 07 2024 Automatic Build System <autodist@openmamba.org> 2.24.7-1mamba
- automatic version update by autodist

* Fri Feb 16 2024 Automatic Build System <autodist@openmamba.org> 2.24.6-1mamba
- automatic version update by autodist

* Wed Jan 31 2024 Automatic Build System <autodist@openmamba.org> 2.24.5-1mamba
- automatic version update by autodist

* Tue Jan 30 2024 Automatic Build System <autodist@openmamba.org> 2.24.4-1mamba
- automatic version update by autodist

* Thu Jan 25 2024 Automatic Build System <autodist@openmamba.org> 2.24.3-1mamba
- automatic version update by autodist

* Tue Jan 23 2024 Automatic Build System <autodist@openmamba.org> 2.24.2-1mamba
- automatic version update by autodist

* Thu Jan 18 2024 Automatic Build System <autodist@openmamba.org> 2.24.1-1mamba
- automatic version update by autodist

* Thu Jan 11 2024 Automatic Build System <autodist@openmamba.org> 2.24.0-1mamba
- automatic version update by autodist

* Wed Dec 27 2023 Automatic Build System <autodist@mambasoft.it> 2.23.3-1mamba
- automatic version update by autodist

* Thu Jul 20 2023 Automatic Build System <autodist@mambasoft.it> 2.20.2-1mamba
- automatic version update by autodist

* Wed Jul 19 2023 Automatic Build System <autodist@mambasoft.it> 2.20.1-1mamba
- automatic version update by autodist

* Wed Jul 12 2023 Automatic Build System <autodist@mambasoft.it> 2.20.0-1mamba
- automatic version update by autodist

* Fri Jun 30 2023 Automatic Build System <autodist@mambasoft.it> 2.19.1-1mamba
- automatic version update by autodist

* Thu Jun 22 2023 Automatic Build System <autodist@mambasoft.it> 2.19.0-1mamba
- automatic version update by autodist

* Thu May 18 2023 Automatic Build System <autodist@mambasoft.it> 2.18.1-1mamba
- automatic version update by autodist

* Wed May 17 2023 Automatic Build System <autodist@mambasoft.it> 2.18.0-1mamba
- automatic version update by autodist

* Fri Apr 21 2023 Automatic Build System <autodist@mambasoft.it> 2.17.3-1mamba
- automatic version update by autodist

* Tue Mar 28 2023 Automatic Build System <autodist@mambasoft.it> 2.17.2-1mamba
- automatic version update by autodist

* Sat Mar 25 2023 Automatic Build System <autodist@mambasoft.it> 2.17.1-1mamba
- automatic version update by autodist

* Wed Mar 22 2023 Automatic Build System <autodist@mambasoft.it> 2.17.0-1mamba
- automatic version update by autodist

* Wed Feb 08 2023 Automatic Build System <autodist@mambasoft.it> 2.16.0-1mamba
- automatic version update by autodist

* Mon Jan 09 2023 Automatic Build System <autodist@mambasoft.it> 2.15.1-1mamba
- automatic version update by autodist

* Thu Jan 05 2023 Automatic Build System <autodist@mambasoft.it> 2.15.0-1mamba
- automatic version update by autodist

* Tue Dec 20 2022 Automatic Build System <autodist@mambasoft.it> 2.14.2-1mamba
- automatic version update by autodist

* Fri Dec 16 2022 Automatic Build System <autodist@mambasoft.it> 2.14.1-1mamba
- automatic version update by autodist

* Sat Dec 03 2022 Automatic Build System <autodist@mambasoft.it> 2.14.0-1mamba
- automatic version update by autodist

* Wed Nov 23 2022 Automatic Build System <autodist@mambasoft.it> 2.13.0-1mamba
- automatic version update by autodist

* Sat Oct 22 2022 Automatic Build System <autodist@mambasoft.it> 2.12.2-1mamba
- automatic version update by autodist

* Wed Oct 19 2022 Automatic Build System <autodist@mambasoft.it> 2.12.0-1mamba
- automatic version update by autodist

* Wed Sep 28 2022 Automatic Build System <autodist@mambasoft.it> 2.11.2-1mamba
- automatic version update by autodist

* Wed Sep 21 2022 Automatic Build System <autodist@mambasoft.it> 2.11.1-1mamba
- automatic version update by autodist

* Thu Sep 15 2022 Automatic Build System <autodist@mambasoft.it> 2.11.0-1mamba
- automatic version update by autodist

* Sat Aug 27 2022 Automatic Build System <autodist@mambasoft.it> 2.10.2-1mamba
- automatic version update by autodist

* Thu Aug 25 2022 Automatic Build System <autodist@mambasoft.it> 2.10.1-1mamba
- automatic version update by autodist

* Sat Aug 20 2022 Automatic Build System <autodist@mambasoft.it> 2.10.0-1mamba
- automatic version update by autodist

* Tue Aug 02 2022 Automatic Build System <autodist@mambasoft.it> 2.9.0-1mamba
- automatic version update by autodist

* Sat Jul 30 2022 Automatic Build System <autodist@mambasoft.it> 2.8.0-1mamba
- automatic version update by autodist

* Wed Jul 20 2022 Automatic Build System <autodist@mambasoft.it> 2.7.0-1mamba
- automatic version update by autodist

* Fri Jun 24 2022 Automatic Build System <autodist@mambasoft.it> 2.6.1-1mamba
- automatic version update by autodist

* Tue May 31 2022 Automatic Build System <autodist@mambasoft.it> 2.6.0-1mamba
- automatic version update by autodist

* Tue May 17 2022 Automatic Build System <autodist@mambasoft.it> 2.5.1-1mamba
- automatic version update by autodist

* Sat May 07 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 2.5.0-1mamba
- update to 2.5.0

* Sun Aug 29 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 1.29.2-1mamba
- package created using the webbuild interface
